[package]
name = "tfclient"
version = "0.1.0"
edition = "2021"
description = "An open-source reimplementation of a Defined Networking-compatible client"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
clap = { version = "4.1.10", features = ["derive"] }
trifid-pki = { version = "0.1.5", path = "../trifid-pki" }
dirs = "5.0.0"
log = "0.4.17"
simple_logger = "4.1.0"
sha2 = "0.10.6"
hex = "0.4.3"

[build-dependencies]
serde = { version = "1.0.157", features = ["derive"] }
reqwest = { version = "0.11.14", features = ["blocking", "json"] }
flate2 = "1.0.25"
tar = "0.4.38"
hex = "0.4.3"
tempfile = "3.4.0"
sha2 = "0.10.6"